Package org.snpeff.fileIterator

# Class VcfHapMapFileIterator

java.lang.Object
org.snpeff.fileIterator.FileIterator<VcfEntry>
org.snpeff.fileIterator.MarkerFileIterator<VcfEntry>
org.snpeff.fileIterator.VcfHapMapFileIterator

All Implemented Interfaces:
  `Iterable<VcfEntry>`, `Iterator<VcfEntry>`

public class VcfHapMapFileIterator extends MarkerFileIterator<VcfEntry>
Opens a Hapmap phased file and iterates over all entries, returning VcfEntries for each line Note: Each HapMap file has one chromosome. The reference sequence for the chromosome is read from a fasta file

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Genome`
`genome`

### Fields inherited from class org.snpeff.fileIterator.MarkerFileIterator

`createChromos, ignoreChromosomeErrors, inOffset`

### Fields inherited from class org.snpeff.fileIterator.FileIterator

`autoClose, countNewLineChars, debug, fileName, fileSize, line, lineNum, next, nextLine, reader, verbose`

## Constructor Summary

Constructors
Constructor
Description
`VcfHapMapFileIterator(String hapMapFileName, String fatsaFileName, Genome genome)`

## Method Summary

Modifier and Type
Method
Description
`protected VcfEntry`
`readNext()`
Read next element

### Methods inherited from class org.snpeff.fileIterator.MarkerFileIterator

`getChromosome, getGenome, init, isIgnoreChromosomeErrors, loadMarkers, parsePosition, sanityCheckChromo, setCreateChromos, setIgnoreChromosomeErrors, setInOffset`

### Methods inherited from class org.snpeff.fileIterator.FileIterator

`close, countNewLineChars, getFilePointer, getLine, getLineNum, guessNewLineChars, hasNext, hasSeek, isDebug, iterator, load, next, readLine, ready, remove, seek, setAutoClose, setDebug, setVerbose, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### genome

protected Genome genome

## Constructor Details

### VcfHapMapFileIterator

public VcfHapMapFileIterator(String hapMapFileName, String fatsaFileName, Genome genome)

## Method Details

### readNext

protected VcfEntry readNext()
Description copied from class: `FileIterator`
Read next element

Specified by:
  `readNext` in class `FileIterator<VcfEntry>`